import { EntityState, createEntityAdapter } from '@ngrx/entity';
import { ArticleDTO } from './defs';

export interface TaskArticlesState extends EntityState<ArticleDTO> {}

export const taskArticlesAdapter = createEntityAdapter<ArticleDTO>();

export const INITIAL_TASK_ARTICLES_STATE: TaskArticlesState = {
  ...taskArticlesAdapter.getInitialState(),
};
